<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="this.event?.title ?? t(pageTitleKey)"
  [useContentFont]="true"
  [useMaximumBackground]="true"
  class="ion-page"
  titleLang="de"
>
  <lib-event-details-skeleton
    *ngIf="detailsLoadingComplete"
  ></lib-event-details-skeleton>
  <ion-grid
    *ngIf="!detailsLoadingComplete"
    class="ion-no-padding flex-list-content-sections"
  >
    <div class="flex-list-subsections">
      @if (!eventNotFound && !errorModule) {
        @if (event) {
          <ion-col class="flex-list-small event-date-info" size="12">
            <div class="module-header">
              {{ t('feature_events.details.module_header') }}
            </div>
            @if (eventOccurrence.status !== eventStatus.scheduled) {
              <div class="status-container">
                <div
                  class="status-content"
                  [style.background-color]="
                    (eventOccurrence.status | eventStatusStyles)
                      ?.backgroundColor
                  "
                >
                  <lib-event-status-content
                    [status]="eventOccurrence.status"
                  ></lib-event-status-content>
                </div>
              </div>
            }
            {{
              eventOccurrence.start
                | localizedTimeDistancePipe: eventOccurrence.end
                | async
            }}
            | {{ eventOccurrence.start | localizedFormatDate: 'PPPP' }}
            <div
              *ngIf="
                isEventDurationOneDayOrMore(
                  eventOccurrence.start,
                  eventOccurrence.end
                )
              "
            >
              {{
                eventOccurrence.start
                  | localizedDateDiffPipe: eventOccurrence.end
              }}.&nbsp;
            </div>
            <div>
              {{
                eventOccurrence.start
                  | localizedTimeRange: eventOccurrence.end
                  | async
              }}
            </div>
          </ion-col>

          <ion-col class="flex-list-small" *ngIf="imageUrl" size="12">
            <img
              [alt]="event.image?.description"
              [height]="event.image?.highRes?.height"
              [src]="imageUrl"
              [width]="event.image?.highRes?.width"
              class="rounded-image"
              libLightbox
              [images]="[
                {
                  src: imageUrl,
                  width: event.image?.highRes?.width,
                  height: event.image?.highRes?.height,
                  caption: event.image?.description,
                },
              ]"
            />
            <div
              class="image-sub-content"
              *ngIf="event.image?.description || event.image?.copyrightHolder"
            >
              <div
                class="image-description content-font"
                [lang]="'de'"
                *ngIf="event.image?.description"
              >
                {{ event.image?.description }}
              </div>
              <div
                class="image-copyright-holder"
                *ngIf="event.image?.copyrightHolder"
              >
                {{
                  t('feature_events.details.image', {
                    copyrightHolder: event.image?.copyrightHolder,
                  })
                }}
              </div>
            </div>
          </ion-col>

          <ion-row class="icon-row">
            <lib-action-button-bar
              [actions]="[
                {
                  icon: 'favorite_border',
                  selected: isBookmarkedEvent,
                  label: t('feature_events.details.remind'),
                  isVisible: true,
                  onClick: bookmarkEvent.bind(this),
                },
                {
                  icon: 'event',
                  label: t('feature_events.details.register'),
                  onClick: addEventToCalendar.bind(this),
                  isVisible: true,
                },
                {
                  icon: 'directions',
                  label: t('feature_events.details.navigate'),
                  onClick: navigateToLocation.bind(this),
                  isVisible: event.coordinates !== undefined,
                },
                {
                  icon: 'share',
                  label: t('feature_events.details.share.title'),
                  onClick: shareEvent.bind(this),
                },
                {
                  icon: 'open_in_new',
                  label: t('feature_events.details.source'),
                  onClick: openEventUrl.bind(this),
                  linkUrl: eventOccurrence.source,
                },
              ]"
            >
            </lib-action-button-bar>
          </ion-row>

          <ion-col
            class="flex-list-small content-text"
            size="12"
            lang="de"
            translate="yes"
          >
            <p *ngIf="event.subTitle">
              <strong class="content-font">{{ event.subTitle }}</strong>
            </p>

            <div
              *ngIf="event.description"
              [innerHTML]="event.description"
              class="no-content-margin content-font"
              libSafeExternalLinks
            ></div>
            <ion-col *ngIf="event.dateModified" size="12">
              <div class="date-modified">
                {{
                  t('feature_events.details.published', {
                    timeAgo: event.dateModified | localizedTimeAgo,
                  })
                }}
              </div>
            </ion-col>
          </ion-col>

          <ion-col class="flex-list-small" size="12">
            <div class="location-title">
              {{ t('feature_events.details.location') }}
            </div>
            <div>
              <div
                *ngIf="event.location?.locationName"
                class="location-name"
                lang="de"
                translate="yes"
              >
                {{ event.location?.locationName }}
              </div>
              <div
                *ngIf="this.event?.toPrettyAddressString()"
                class="location-address"
                lang="de"
                translate="yes"
              >
                {{ this.event!.toPrettyAddressString() }}
              </div>
            </div>
          </ion-col>

          <ion-col class="flex-list-small" size="12">
            <div class="location-title">
              {{ t('feature_events.details.pricing_title') }}
            </div>
            <div class="location-name">
              {{ t('feature_events.details.pricing_hint') }}
            </div>
          </ion-col>

          <ion-col
            *ngIf="event.occurrences.length > 1"
            class="flex-list-lines"
            size="12"
          >
            <div class="times-title">
              {{ t('feature_events.details.other_times') }}
            </div>
            <ng-container
              *ngFor="
                let occurrence of otherOccurrences.slice(0, 3);
                let i = index
              "
            >
              <lib-custom-horizontal-button
                [routerLink]="['../', occurrence.id]"
                (buttonClick)="scrollToTop()"
                [colorScheme]="customButtonColorScheme.hint"
                [buttonType]="customButtonType.link"
                [endIcon]="'arrow_forward'"
                [title]="getCombinedTitle(occurrence.start)"
              ></lib-custom-horizontal-button>
            </ng-container>
            <lib-custom-horizontal-button
              *ngIf="event.occurrences.length - 1 > 3"
              [routerLink]="'./occurrences'"
              [colorScheme]="customButtonColorScheme.hint"
              [buttonType]="customButtonType.link"
              [borderScheme]="customButtonBorderScheme.hintBorder"
              [endIcon]="'arrow_forward_ios'"
              [title]="
                t('feature_events.details.show_all_times', {
                  count: event.occurrences.length,
                })
              "
            ></lib-custom-horizontal-button>
          </ion-col>
        }
      } @else {
        <lib-connectivity-error-handling-card
          [show]="!hasFeedItems"
          [title]="t('feature_events.connectivity-error.title_details')"
        ></lib-connectivity-error-handling-card>
        <lib-details-not-found-error-handling-card
          [content]="t('feature_events.not-found-error.content')"
          [detailsId]="eventId!"
          [hasFeedItems$]="hasFeedItems$"
          [moduleInfo]="moduleInfo"
          [title]="t('feature_events.not-found-error.title')"
        ></lib-details-not-found-error-handling-card>
      }
    </div>
    <div>
      <ion-row
        *ngIf="hasFeedItems"
        class="ion-justify-content-center flex-list-feed-items"
      >
        <div class="more-section">
          {{ t('feature_events.details.more_from_this_category') }}
        </div>
        <ion-col *ngFor="let feedItem of feedItems" [size]="12">
          <ng-container
            *ngComponentOutlet="
              feedItem.cardComponent;
              inputs: {
                feedItem: feedItem,
                routerLink: ['../', feedItem.id],
                state: {
                  excludeEventIds: excludedEvents
                    .concat([feedItem.id])
                    .join(','),
                },
              }
            "
          ></ng-container>
        </ion-col>
        <ng-container
          *ngIf="!feedLoadingComplete"
          class="ion-justify-content-center flex-list-feed-items"
        >
          <ion-col
            *ngFor="let _ of [].constructor(7); let i = index"
            [size]="12"
          >
            <lib-skeleton-feed-card></lib-skeleton-feed-card>
          </ion-col>
          <lib-new-content-text></lib-new-content-text>
        </ng-container>
      </ion-row>
      <ion-infinite-scroll (ionInfinite)="loadMoreFeedItems($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
      </ion-infinite-scroll>
    </div>
  </ion-grid>
</lib-condensed-header-layout>
